# For those wanting to recompile with Oracle libraries
# rpm --rebuild --define 'oracle 1' php4.2.1-x.src.rpm
#
### make oci8 package define oracle ###
%define oracle 1
### relate oci8 define Oracle10g Home ###
%if %{oracle}
%{!?ORACLE10g_HOME:%define ORACLE10g_HOME /opt/oracle/product/10.1.0}
%endif

Summary: The PHP HTML-embedded scripting language. (PHP: Hypertext Preprocessor)
Name: php
Version: 4.3.3
Release: 8.ent.18AX
License: The PHP License
Group: Development/Languages
URL: http://www.php.net/

Source0:  http://www.php.net/distributions/php-%{version}.tar.bz2
Source1:  libdummy.c
Source2:  gdnspace.h
Source50: php.conf

# Patch1: php-4.2.2-apache2.patch ###433obsol
Patch2: php-4.3.1-config.patch
# Patch3: php-4.3.3-lib64.patch ###rebuild patch
Patch4: php-4.2.2-cxx.patch
# Patch6: php-4.3.1-tests.patch ###433obsol
# Patch7: php-4.3.2-safemode.patch ###433obsol
Patch8: php-4.3.2-confleak.patch
Patch9: php-4.3.2-sslerr.patch
Patch11: php-4.3.2-phpize64.patch
Patch12: php-4.3.2-fdsetsize.patch
Patch14: php-4.3.2-serialperf.patch
Patch15: php-4.3.2-serial64.patch
Patch16: php-4.3.2-peardb.patch

# Fixes for extension modules
Patch20: php-4.2.1-ldap-TSRM.patch
Patch21: php-4.3.1-odbc.patch
Patch22: php-4.3.2-db4.patch
# Patch23: php-4.3.2-domxml.patch ###433obsol
# Patch24: php-4.3.2-iconv.patch ###433obsol
Patch25: php-4.3.2-oci8.patch
Patch26: php-4.3.2-ap2fixes.patch
Patch27: php-4.3.2-pcrealloc.patch
Patch28: php-4.3.2-libgdnspace.patch
Patch29: php-4.3.2-dbadb4.patch

# Functional changes
Patch30: php-4.3.1-dlopen.patch

Patch31: php-4.3.2-curlsafemode.patch
Patch32: php-4.3.9-metaphone.patch

# Oci8 support 10g
Patch50: php-4.3.3-oci8-10g.patch

# support x86_64
Patch60: php-4.3.3-x86_64.patch

# Security Update
Patch100: php-4.3.7-CAN-2004-0594_0595.patch
Patch101: php-4.3.2-vararray.patch
Patch102: php-4.3.2-mpf-parser.patch
Patch103: php-4.3.2-CAN-2004-1018.patch
Patch104: php-4.3.2-CAN-2004-1019.patch
Patch105: php-4.3.2-CAN-2004-1065.patch

Patch106: php-4.3.2-CAN-2005-0524.patch
Patch107: php-4.3.2-exif.patch
Patch108: php-4.3.2-shtool.patch
Patch109: php-4.3.11-global.patch

#get the security patches from 4.3.2-26
Patch110: php-4.3.2-CAN-2005-1921.patch
Patch111: php-4.3.2-CAN-2005-2498.patch
Patch112: php-4.3.9-CVE-2005-3389.patch
Patch113: php-4.3.3-CVE-2005-3390.patch
Patch114: php-4.3.9-CVE-2005-3388.patch
Patch115: php-4.3.9-CVE-2005-3353.patch
Patch116: php-4.3.9-CVE-2005-3883.patch
Patch117: php-4.3.9-CVE-2006-0208.patch
Patch118: php-4.3.9-CVE-2006-1490.patch
Patch119: php-4.3.9-CVE-2006-0996.patch
Patch120: php-4.3.9-CVE-2006-2657.patch
Patch121: php-4.3.9-CVE-2006-1494.patch
Patch122: php-4.3.9-CVE-2006-1990.patch

Patch123: php-4.3.9-CVE-2006-3016.patch
Patch124: php-4.3.9-CVE-2006-4020.patch
Patch125: php-4.3.9-CVE-2006-4482.patch
Patch126: php-4.3.2-CVE-2006-4486.patch
Patch127: php-4.3.9-CVE-2006-4484.patch
Patch128: php-4.3.9-CVE-2006-5465.patch
Patch129: php-4.3.9-CVE-2007-0906-imap.patch
Patch130: php-4.3.9-CVE-2007-0906-strreplace.patch
Patch131: php-4.3.9-CVE-2007-0907.patch
Patch132: php-4.3.9-CVE-2007-0908.patch
Patch133: php-4.3.2-CVE-2007-0909-odbc.patch
Patch134: php-4.3.9-CVE-2007-0909-printf.patch
Patch135: php-4.3.2-CVE-2007-0910.patch
Patch136: php-4.3.9-CVE-2007-0988.patch
Patch137: php-5.1.6-CVE-2007-1864.patch
Patch138: php-4.3.9-CVE-2007-2509.patch
Patch139: php-5.1.6-CVE-2007-0455.patch
Patch140: php-4.3.9-CVE-2007-1001.patch
Patch141: php-4.3.9-CVE-2007-1583.patch
Patch142: php-4.3.9-CVE-2007-1286.patch
Patch143: php-4.3.9-CVE-2007-1711.patch
Patch144: php-5.1.6-CVE-2007-1718.patch
Patch145: php-5.1.6-CVE-2007-2756.patch
Patch146: php-4.3.9-CVE-2007-2872.patch
Patch147: php-5.1.6-CVE-2007-3799.patch
Patch148: php-4.3.9-CVE-2007-3996.patch
Patch149: php-5.1.6-CVE-2007-3998.patch
Patch150: php-4.3.9-CVE-2007-4658.patch
Patch151: php-4.3.3-CVE-2007-4670.patch



BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: bzip2-devel, curl-devel >= 7.9, db4-devel, expat-devel, freetype-devel
BuildRequires: gd-devel >= 1.8.4, gdbm-devel, gmp-devel, pspell-devel
BuildRequires: httpd-devel >= 2.0.40-6, libjpeg-devel, libpng-devel, pam-devel
BuildRequires: libstdc++-devel, libxml2-devel, ncurses-devel, openssl-devel
BuildRequires: zlib-devel, pcre-devel
BuildRequires: bzip2, fileutils, perl
Obsoletes: php-dbg, mod_php, php3, phpfi, stronghold-php
# Enforce Apache module ABI compatibility
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing-httpd-devel)

%description
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache Web server to understand and process
the embedded PHP language in Web pages.

%package imap
Summary: An Apache module for PHP applications that use IMAP.
Group: Development/Languages
Requires: php = %{version}-%{release}
Obsoletes: mod_php3-imap, stronghold-php-imap
BuildRequires: krb5-devel, openssl-devel, imap-devel

%description imap
The php-imap package contains a dynamic shared object (DSO) for the
Apache Web server. When compiled into Apache, the php-imap module will
add IMAP (Internet Message Access Protocol) support to PHP. IMAP is a
protocol for retrieving and uploading e-mail messages on mail
servers. PHP is an HTML-embedded scripting language. If you need IMAP
support for PHP applications, you will need to install this package
and the php package.

%package ldap
Summary: A module for PHP applications that use LDAP.
Group: Development/Languages
Requires: php = %{version}-%{release}
Obsoletes: mod_php3-ldap, stronghold-php-ldap
BuildRequires: cyrus-sasl-devel, openldap-devel, openssl-devel

%description ldap
The php-ldap package is a dynamic shared object (DSO) for the Apache
Web server that adds Lightweight Directory Access Protocol (LDAP)
support to PHP. LDAP is a set of protocols for accessing directory
services over the Internet. PHP is an HTML-embedded scripting
language. If you need LDAP support for PHP applications, you will
need to install this package in addition to the php package.

%package mysql
Summary: A module for PHP applications that use MySQL databases.
Group: Development/Languages
Requires: php = %{version}-%{release}
Provides: php_database
Obsoletes: mod_php3-mysql, stronghold-php-mysql
BuildRequires: mysql-devel

%description mysql
The php-mysql package contains a dynamic shared object that will add
MySQL database support to PHP. MySQL is an object-relational database
management system. PHP is an HTML-embeddable scripting language. If
you need MySQL support for PHP applications, you will need to install
this package and the php or mod_php package.

%package pgsql
Summary: A PostgreSQL database module for PHP.
Group: Development/Languages
Requires: php = %{version}-%{release}
Provides: php_database
Obsoletes: mod_php3-pgsql, stronghold-php-pgsql
BuildRequires: krb5-devel, openssl-devel, postgresql-devel

%description pgsql
The php-pgsql package includes a dynamic shared object (DSO) that can
be compiled in to the Apache Web server to add PostgreSQL database
support to PHP. PostgreSQL is an object-relational database management
system that supports almost all SQL constructs. PHP is an
HTML-embedded scripting language. If you need back-end support for
PostgreSQL, you should install this package in addition to the main
php package.

%package odbc
Group: Development/Languages
Requires: php = %{version}-%{release}
Summary: A module for PHP applications that use ODBC databases.
Provides: php_database
Obsoletes: stronghold-php-odbc
BuildRequires: unixODBC-devel

%description odbc
The php-odbc package contains a dynamic shared object that will add
database support through ODBC to PHP. ODBC is an open specification
which provides a consistent API for developers to use for accessing
data sources (which are often, but not always, databases). PHP is an
HTML-embeddable scripting language. If you need ODBC support for PHP
applications, you will need to install this package and the php
package.

%if %{oracle}
%package oci8
Group: Development/Languages
Requires: php = %{version}-%{release}
Summary: A module for PHP applications that use OCI8 databases.
Provides: php_database

%description oci8
The php-oci8 package contains a dynamic shared object that will add
support for accessing OCI8 databases to PHP.
%endif

%prep
%setup -q
# %patch1 -p1 -b .apache2
%patch2 -p1 -b .config
%patch4 -p1 -b .cxx
# %patch3 -p1 -b .lib64
# %patch6 -p1 -b .tests
# %patch7 -p1 -b .safemode
%patch8 -p1 -b .confleak
%patch9 -p1 -b .sslerr
%patch11 -p1 -b .phpize64
%patch12 -p1 -b .fdsetsize


%patch20 -p1 -b .ldap
%patch21 -p1 -b .odbc
%patch22 -p1 -b .db4
# %patch23 -p1 -b .domxml
# %patch24 -p1 -b .iconv
%patch25 -p1 -b .oci8
%patch26 -p1 -b .ap2fixes
%patch27 -p1 -b .pcrealloc
%patch28 -p1 -b .libgdnspace
%patch29 -p1 -b .dbadb4
%patch31 -p1 -b .curlsafemode
%patch32 -p1 -b .metaphone

%patch30 -p1 -b .dlopen

%patch50 -p1 -b .10g

%ifarch x86_64
%patch60 -p1
%endif

%patch100 -p1 -b .can20040594_0595
%patch101 -p1 -b .vararray
%patch102 -p1 -b .mpf-parser
%patch103 -p1 -b .can20041018
%patch104 -p1 -b .can20041019
%patch105 -p1 -b .can20041065

%patch106 -p1 -b .can0524
%patch107 -p1 -b .exif
%patch108 -p1 -b .can1921
#%patch109 -p1 -b .global
%patch112 -p1 -b .cve3389
%patch113 -p0 -b .cve3390
%patch114 -p1 -b .cve3388
%patch115 -p1 -b .cve3353
%patch116 -p1 -b .cve3883
%patch117 -p1 -b .cve0208
%patch118 -p1 -b .cve1490
%patch119 -p1 -b .cve0996
%patch120 -p1 -b .cve2657
%patch121 -p1 -b .cve1494
%patch122 -p1 -b .cve1990

%patch123 -p1 -b .cve3016
%patch124 -p1 -b .cve4020
%patch125 -p1 -b .cve4482
%patch126 -p1 -b .cve4486
%patch127 -p1 -b .cve4484
%patch128 -p1 -b .cve5465

%patch129 -p1 -b .cve0906-imap
%patch130 -p1 -b .cve0906-strreplace
%patch131 -p1 -b .cve0907
%patch132 -p1 -b .cve0908
%patch133 -p1 -b .cve0909-odbc
%patch134 -p1 -b .cve0909-printf
%patch135 -p1 -b .cve0910
%patch136 -p1 -b .cve0988
%patch137 -p1 -b .cve1864
%patch138 -p1 -b .cve2509
%patch139 -p1 -b .cve0455
%patch140 -p1 -b .cve1001
%patch141 -p1 -b .cve1583
%patch142 -p1 -b .cve1286
%patch143 -p1 -b .cve1711
%patch144 -p1 -b .cve1718
%patch145 -p1 -b .cve2756
%patch146 -p1 -b .cve2872
%patch147 -p1 -b .cve3799
%patch148 -p1 -b .cve3996
%patch149 -p1 -b .cve3998
%patch150 -p1 -b .cve4658
%patch151 -p1 -b .cve4670


### fixes additional to the patch55 unserializer changes
%patch14 -p1 -b .serialperf
%patch15 -p1 -b .serial64



# Prevent %doc confusion over LICENSE & Zend/LICENSE
cp Zend/LICENSE Zend/ZEND_LICENSE

# Source is built twice: once for /usr/bin/php, once for the Apache DSO.
mkdir build-cgi build-apache

# Use correct libdir
perl -pi -e 's|%{_prefix}/lib|%{_libdir}|' php.ini-dist

# Remove bogus test; position of read position after fopen(, "a+")
# is not defined by C standard, so don't presume anything.
rm -f ext/standard/tests/file/bug21131.phpt

# Tests that fail.
rm -f ext/standard/tests/file/bug22414.phpt \
      ext/session/tests/019.phpt \
      ext/standard/tests/math/pow.phpt \
      ext/standard/tests/math/round.phpt \
      ext/standard/tests/math/abs.phpt \
      ext/iconv/tests/bug16069.phpt

%ifarch s390
# until all build machines aren't suffering from #91533
rm -f ext/sysvsem/tests/sysv.phpt
%endif

%define pear_xmlrpc_tar pear/packages/XML_RPC-1.0.4.tar

# Untar, patch, then retar the XML-RPC package
mkdir pkgtempdir
pushd pkgtempdir
 tar -xvf ../%{pear_xmlrpc_tar}
%patch110 -p0
%patch111 -p0
 tar -cvf ../%{pear_xmlrpc_tar} .
popd
rm -rf pkgtempdir

#mkdir $RPM_BUILD_ROOT/ext/gd/libgd
pushd ext/gd/libgd
cp -af %{SOURCE2} ./
popd

%build

CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS

# Add the Kerberos library path to the default LDFLAGS so that the IMAP checks
# will be able to find the GSSAPI libraries.
LDFLAGS="-L/usr/kerberos/%{_lib}"; export LDFLAGS

# Configure may or may not catch these (mostly second-order) dependencies.
LIBS="-lfreetype -lpng -ljpeg -lz -lnsl"; export LIBS
%ifnarch x86_64 ppc64
# this shouldn't be needed on any platform and should be removed.
LIBS="-lttf $LIBS"
%endif

# Install extension modules in %{_libdir}/php4.
EXTENSION_DIR=%{_libdir}/php4; export EXTENSION_DIR

# This pulls the static /usr/lib/libc-client.a into the IMAP extension module.
IMAP_SHARED_LIBADD=-lc-client ; export IMAP_SHARED_LIBADD

if pkg-config openssl; then
    CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
    LIBS="$LIBS `pkg-config --libs openssl`"
fi

# pull latest ltmain.sh, AC_PROG_LIBTOOL
libtoolize --force --copy
# force aclocal run during buildconf
touch acinclude.m4

# Regenerate configure scripts (patches change config.m4's)
./buildconf --force

# Shell function to configure and build a PHP tree.
build() {
# bison-1.875-2 seems to produce a broken parser; workaround.
mkdir Zend && cp ../Zend/zend_{language,ini}_parser.{c,h} Zend
cp ../Zend/zend_{language,ini}_scanner.{c,h} Zend
ln -sf ../configure
%configure \
	--cache-file=../config.cache \
	--with-config-file-path=%{_sysconfdir} \
	--with-config-file-scan-dir=%{_sysconfdir}/php.d \
	--enable-force-cgi-redirect \
	--disable-debug \
	--enable-pic \
	--disable-rpath \
	--enable-inline-optimization \
	--with-bz2 \
	--with-db4=%{_prefix} \
	--with-curl \
	--with-dom=%{_prefix} \
	--with-exec-dir=%{_bindir} \
	--with-freetype-dir=%{_prefix} \
	--with-png-dir=%{_prefix} \
	--with-gd \
	--enable-gd-native-ttf \
	--with-ttf \
	--with-gdbm \
	--with-gettext \
	--with-ncurses \
	--with-gmp \
	--with-iconv \
	--with-jpeg-dir=%{_prefix} \
	--with-openssl \
	--with-png \
	--with-pspell \
	--with-regex=system \
	--with-xml \
	--with-expat-dir=%{_prefix} \
        --with-pcre=%{_prefix} \
	--with-zlib \
	--with-layout=GNU \
	--enable-bcmath \
	--enable-exif \
	--enable-ftp \
	--enable-magic-quotes \
	--enable-safe-mode \
	--enable-sockets \
	--enable-sysvsem \
	--enable-sysvshm \
	--enable-discard-path \
	--enable-track-vars \
	--enable-trans-sid \
	--enable-yp \
	--enable-wddx \
        --enable-mbstring=all \
	--enable-zend-multibyte \
        --enable-mbregex \
	--without-oci8 \
	--with-pear=/usr/share/pear \
	--with-imap=shared \
	--with-imap-ssl \
	--with-kerberos=/usr/kerberos \
	--with-ldap=shared \
	--with-mysql=shared,%{_prefix} \
%if %{oracle}
	--with-oci8=shared,%{ORACLE10g_HOME} \
%endif
	--with-pgsql=shared \
        --with-unixODBC=shared \
	--enable-memory-limit \
	--enable-bcmath \
	--enable-shmop \
	--enable-versioning \
	--enable-calendar \
	--enable-dbx \
	--enable-dio \
	--enable-mcal \
	$* || tail -200 config.log

make %{?_smp_mflags}
}

# Build standalone /usr/bin/php
pushd build-cgi
build --enable-force-cgi-redirect
export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 TZ=
if ! make test; then
  for f in `find .. -name \*.diff -type f -print`; do
    echo "$f::"
    cat $f
  done
  exit 1
fi
popd

# Build Apache module
pushd build-apache
build --with-apxs2filter=%{_sbindir}/apxs
popd

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# Install from CGI tree
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/httpd/modules
pushd build-cgi
make install INSTALL_ROOT=$RPM_BUILD_ROOT 
popd

### TODO: only configure shared modules for the one of the two builds
# Install the Apache module
## No no it's agry! but work.
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
cat >  $RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf <<EOF
#
# Dynamic Shared Object (DSO) Support
#
# To be able to use the functionality of a module which was built as a DSO you
# have to place corresponding `LoadModule' lines at this location so the
# directives contained in it are actually available _before_ they are used.
# Statically compiled modules (those listed by `httpd -l') do not need
# to be loaded here.
#
# Example:
# LoadModule foo_module modules/mod_foo.so
#
LoadModule cgi_module modules/mod_cgi.so
EOF
## sory.
pushd build-apache
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
gcc -shared -fPIC -Wl,-soname,libclntsh.so.10.1 %{SOURCE1} -o $RPM_BUILD_ROOT/%{_libdir}/libclntsh.so.10.1
make install-sapi INSTALL_ROOT=$RPM_BUILD_ROOT
popd

# Install the default configuration file and icons
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/
install -m 644    php.ini-dist $RPM_BUILD_ROOT%{_sysconfdir}/php.ini

# install the DSO
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m 755 build-apache/libs/libphp4.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules

# Apache config fragment
install -m 755 -d $RPM_BUILD_ROOT/etc/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/php.conf $RPM_BUILD_ROOT/etc/httpd/conf.d

install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/php.d

%if %{oracle}
ocimod=oci8
%endif
# Generate files lists and stub .ini files for each subpackage
for mod in pgsql mysql odbc imap ldap ${ocimod}; do
    cat > $RPM_BUILD_ROOT%{_sysconfdir}/php.d/${mod}.ini <<EOF
; Enable ${mod} extension module
extension=${mod}.so
EOF
    cat > files.${mod} <<EOF
%attr(755,root,root) %{_libdir}/php4/${mod}.so
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/php.d/${mod}.ini
EOF
done

# Remove PEAR testsuite
rm -rf $RPM_BUILD_ROOT%{_datadir}/pear/tests

# Remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/php4/*.a \
      $RPM_BUILD_ROOT%{_bindir}/{phptar,pearize,php-config,phpextdist,phpize}

rm -rf $RPM_BUILD_ROOT%{_includedir} \
       $RPM_BUILD_ROOT%{_libdir}/php

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm files.*

%files
%defattr(-,root,root)
%doc CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS README*
%doc Zend/ZEND_*
%config(noreplace) %{_sysconfdir}/php.ini
%{_bindir}/php
%{_bindir}/pear
%{_datadir}/pear
%dir %{_libdir}/php4
%{_libdir}/httpd/modules/libphp4.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/php.conf
%dir %{_sysconfdir}/php.d

%files pgsql -f files.pgsql

%files mysql -f files.mysql

%files odbc -f files.odbc

%if %{oracle}
%files oci8 -f files.oci8
	%{_libdir}/libclntsh.so.10.1
%endif

%files imap -f files.imap

%files ldap -f files.ldap

%changelog
* Wed Sep 26 2007 Hiroshi Hara <hhara@miraclelinux.com> 4.3.3-8.ent.18AX
- add security fix for CVE-2007-2756, CVE-2007-2872,
  CVE-2007-3799, CVE-2007-3996, CVE-2007-3998, CVE-2007-4658,
  CVE-2007-4670

* Fri Jul 06 2007 Xiao Liu <xiaoliu@redflag-linux.com> 4.3.3-8.ent.17AX
- add security fix for CVE-2007-0455(Patch139), CVE-2007-1001(Patch140),
  CVE-2007-1583(Patch141), CVE-2007-1718 (Patch144), CVE-2007-1864(Patch137),
  CVE-2007-2509(Patch138), CVE-2007-1286(Patch142), CVE-2007-1711(Patch143)

* Tue Apr 05 2007 Nam, Kwonwoo <kwnam@haansoft.com> 4.3.3-8.ent.16AX
-* Fri Feb 16 2007 Joe Orton <jorton@redhat.com> 4.3.2-39.ent
 - add security fix for CVE-2007-0988
-* Wed Feb 14 2007 Joe Orton <jorton@redhat.com> 4.3.2-38.ent
 - add security fixes for CVE-2007-0906, CVE-2007-0907, 
   CVE-2007-0908, CVE-2007-0909, CVE-2007-0910
-* Thu Nov  2 2006 Joe Orton <jorton@redhat.com> 4.3.2-37.ent
 - add security fix for CVE-2006-5465 from upstream
-* Fri Sep 15 2006 Joe Orton <jorton@redhat.com> 4.3.2-35.ent
 - add security fix from upstream: CVE-2006-4484
 - add metaphone() fix (#205714)
-* Fri Sep  8 2006 Joe Orton <jorton@redhat.com> 4.3.2-34.ent
 - add security fixes from upstream:
   CVE-2006-3016, CVE-2006-4020, CVE-2006-4482, CVE-2006-4486

* Thu Dec 14 2006 Ryoji Kamei <kamei@miraclelinux.com> 4.3.3-8ent.15AX
- add security fix from upstream: CVE-2006-4484, CVE-2006-5465
- fix metaphone() memory corruption problem

* Thu Jul 20 2006 Ki-Young, Lee <kylee@haansoft.com> 4.3.3-8ent.14AX
- fix zend_hash_del regression from CVE-2006-2657
- add security fixes from upstream (CVE-2006-1494, CVE-2006-1990, 
  CVE-2006-2657)


* Fri Apr 28 2006 Ki-Young, Lee <kylee@haansoft.com> 4.3.3-8.ent.13AX
- add security fixes from upstream:
 * XSS issues in "html_errors" mode (CVE-2006-0208, #178028)
 * mbstring header validation (CVE-2005-3883, #174463)
 * binary safeness in html_decode (CVE-2006-1490, #187230)
- rebuild to pick up uw-imap client security fix (CVE-2005-2933, #174528)
- add PEAR DB autoExecute fix (Christian Rose, #163490)
- revert parse_str fix (#173142)
- add security fix for new phpinfo() XSS (CVE-2006-0996, #187510)
- imap: add fix for overflow in imap_fetch_overview() (#174999)

* Mon Mar 11 2006 Shiro Yamada <shiro@miraclelinux.com> 4.3.3-8.ent.12AX
- enable multibyte support in x86_64 architecture.

* Fri Nov 25 2005 Hiroshi HARA <hhara@miraclelinux.com> 4.3.3-8.ent.11AX
- add security fixes from upstream:
  XML_RPC command injection (Stefan Esser, CAN-2005-1921, #162045)
  security fix for pear XML_RPC (Stefan Esser, CAN-2005-2498, #165846)
  XSS issues in phpinfo() (CVE-2005-3388, #172212)
  GLOBALS handling (CVE-2005-3390, #172207)
  parse_str() enabling register_globals (CVE-2005-3389, #172209)
  exif: infinite recursion on corrupt JPEG (CVE-2005-3353, #172589)
* Mon Nov  7 2005 Shiro Yamada <shiro@miraclelinux.com> 4.3.3-8.ent.10AX
- apply a fix for GLOBAL variable overwrite vulnerability

* Thu Jul 14 2005 Bear <zxyang@redflag-linux.com> 4.3.3-8.ent.9AX
- merged security patches 107, 108, 109 from php version 4.3.2-23.ent

* Wed Dec 22 2004 Shiro Yamada <shiro@miraclelinux.com> 4.3.3-8.ent.8AX
- applied fixes for CAN-2004-0958, CAN-2004-0959, CAN-2004-1018,
  CAN-2004-1019 and CAN-2004-1065

* Wed Nov 24 2004 Hua Jie <jiehua@redflag-linux.com> 4.3.3-8.ent.7AX
- turn on oracle support

* Wed Nov 03 2004 Hua Jie <jiehua@redflag-linux.com> 4.3.3-8.ent.6AX
- support x86_64
- turn off oracle support

* Fri Jul 16 2004 Shiro Yamada <shiro@miraclelinux.com> 4.3.3-8.ent.5AX
- applied security fixes for CAN-2004-0594 and CAN-2004-0595

* Tue Mar 9 2004 Daisuke Tonoki <tonoki@miraclelinux.com> 4.3.3-8.ent.3AX
- add libdummy.c as Source1 for fix dependency error.

* Mon Feb 23 2004 Daisuke Tonoki <tonoki@miraclelinux.com> 4.3.3-8.ent.2AX
- add 10g patch

* Mon Feb 23 2004 Daiske Tonoki <tonoki@miraclelinux.com> 4.3.3-8.ent.1AX
- update to 4.3.3.

* Fri Aug 22 2003 Joe Orton <jorton@redhat.com> 4.3.2-8.ent
- enable fixed pspell, semop tests.
- from upstream: safe mode and apache2filter fixes from 4.3.3
- forward-port #82967 workaround from 8.0/9 errata
- allow upgrade from Stronghold 4.0
- don't link against -lttf on x86_64 or ppc64

* Tue Jul  8 2003 Joe Orton <jorton@redhat.com> 4.3.2-7.ent
- enable mbstring, mbregex extensions
- use system pcre library

* Wed Jun  4 2003 Joe Orton <jorton@redhat.com> 4.3.2-6.ent
- workaround for test suite hang on ppc
- fix pspell tests

* Wed Jun  4 2003 Joe Orton <jorton@redhat.com> 4.3.2-5.ent
- fix iconv extension for LP64 platforms

* Sun Jun  1 2003 Joe Orton <jorton@redhat.com> 4.3.2-4.ent
- enable gmp support on s390x

* Sat May 31 2003 Joe Orton <jorton@redhat.com> 4.3.2-3.ent
- add lib64 fix for ppc

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 4.3.2-2.ent
- rebuild for RHEL; remove -snmp, -manual, -devel subpackages
- drop aspell-devel requirement
- fix domxml for LP64 platforms

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 4.3.2-2
- update the -tests and -lib64 patches
- fixes for db4 detection
- require aspell-devel >= 0.50.0 for pspell compatibility

* Thu May 29 2003 Joe Orton <jorton@redhat.com> 4.3.2-1
- update to 4.3.2

* Fri May 16 2003 Joe Orton <jorton@redhat.com> 4.3.1-3
- link odbc module correctly
- patch so that php -n doesn't scan inidir
- run tests using php -n, avoid loading system modules

* Wed May 14 2003 Joe Orton <jorton@redhat.com> 4.3.1-2
- workaround broken parser produced by bison-1.875

* Tue May  6 2003 Joe Orton <jorton@redhat.com> 4.3.1-1
- update to 4.3.1; run test suite
- open extension modules with RTLD_NOW rather than _LAZY

* Tue May  6 2003 Joe Orton <jorton@redhat.com> 4.2.2-19
- patch for gd 2.x API changes in gd extension

* Thu May  1 2003 Joe Orton <jorton@redhat.com> 4.2.2-18
- rebuild to use aspell (#89925)
- patch to work round conditional AC_PROG_CXX break in autoconf 2.57
- fix dba build against db >= 4.1

* Mon Feb 24 2003 Joe Orton <jorton@redhat.com> 4.2.2-17
- restrict SNMP patch to minimal changes, fixing segv on startup (#84607)

* Wed Feb 12 2003 Joe Orton <jorton@redhat.com> 4.2.2-16
- prevent startup if using httpd.worker to avoid thread-safety issues.
- fix parsing private keys in OpenSSL extension (#83994)
- fixes for SNMP extension (backport from 4.3) (#74761)

* Wed Jan 29 2003 Joe Orton <jorton@redhat.com> 4.2.2-15
- add security fixes for wordwrap() and mail()

* Mon Jan 13 2003 Joe Orton <jorton@redhat.com> 4.2.2-14
- drop explicit Requires in subpackages, rely on automatic deps.
- further fixes for libdir=lib64

* Tue Dec 17 2002 Joe Orton <jorton@redhat.com> 4.2.2-13
- drop prereq for perl, grep in subpackages
- rebuild and patch for OpenSSL 0.9.7

* Tue Dec 10 2002 Joe Orton <jorton@redhat.com> 4.2.2-12
- backport "ini dir scanning" patch from CVS HEAD; /etc/php.d/*.ini
  are now loaded at startup; each subpackage places an ini file
  in that directory rather than munging /etc/php.ini in post/postun.
- default config changes: enable short_open_tag; remove settings for
  php-dbg extension

* Wed Dec  4 2002 Joe Orton <jorton@redhat.com> 4.2.2-11
- own the /usr/lib/php4 directory (#73894)
- reinstate dropped patch to unconditionally disable ZTS

* Mon Dec  2 2002 Joe Orton <jorton@redhat.com> 4.2.2-10
- remove ldconfig invocation in post/postun
- fixes for #73516 (partially), #78586, #75029, #75712, #75878

* Wed Nov  6 2002 Joe Orton <jorton@redhat.com> 4.2.2-9
- fixes for libdir=/usr/lib64, based on SuSE's patches.
- add build prereqs for zlib-devel, imap-devel, curl-devel (#74819)
- remove unpackaged files from install root
- libtoolize; use configure cache to speed up build

* Mon Sep 23 2002 Philip Copeland <bryce@redhat.com> 4.2.2-8.0.6
- PHP cannot determine which UID is being used, so safe
  mode restrictions were always applied. Fixed. (#74396)

* Tue Sep 3 2002 Philip Copeland <bryce@redhat.com> 4.2.2-8.0.4
- zts support seems to crash out httpd on a *second* sighup
  ie service httpd start;
  apachectl restart ; (ok)
  apachectl restart ; (httpd segv's and collapses)
  removed --enable-experimental-zts which this seems related to.
- Small patch added because some places need to know that they
  aren't using the ZTS API's (dumb)

* Mon Sep 2 2002 Philip Copeland <bryce@redhat.com> 4.2.2-8.0.3
- fixup /etc/httpd/conf.d/php.conf to limit largest amount
  of data accepted (#73254) Limited to 512K (which seems a
  little excessive but anyway,..)
  Note: php.conf is part of the srpm sources not part of the
  php codebase.
- ditched extrenious --enable-debugger (was for php-dbg)
- When upgrading we tend not to modify /etc/php.ini if it exists,
  instead we create php.ini.rpmnew. Modified the post scripts to
  edit php.ini.rpmnew if it exists, so that people can copy
  over the php.ini.rpmnew as php.ini knowing that it will
  be an edited version, consistant with what modules they
  installed #72033

* Sun Sep 1 2002 Joe Orton <jorton@redhat.com> 4.2.2-8.0.2
- require httpd-mmn for module ABI compatibility

* Fri Aug 30 2002 Philip Copeland <bryce@redhat.com> 4.2.2-8.0.1
- URLS would drop the last arguments #72752
        --enable-mbstring
        --enable-mbstr-enc-trans
  These were supposed to help provide multibyte language
  support, however, they cause problems. Removed. Maybe in
  a later errata when they work.
- added small patch to php_variables.c that allows
  $_GET[<var>] to initialise properly when
  --enable-mbstr-enc-trans is disabled.
- Be consistant with errata naming (8.0.x)

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 4.2.2-11
- rebuild

* Wed Aug 22 2002 Philip Copeland <bryce@redhat.com> 4.2.2-10
- Beat down the requirement list to something a little
  more sane

* Wed Aug 14 2002 Bill Nottingham <notting@redhat.com> 4.2.2-9
- trim manual language lists

* Mon Aug 12 2002 Gary Benson <gbenson@redhat.com> 4.2.2-8
- rebuild against httpd-2.0.40

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com> 4.2.2-7
- rebuilt with gcc-3.2 (we hope)

* Wed Aug 7 2002 Philip Copeland <bryce@redhat.com> 4.2.2-6
- Where multiple cookies are set, only the last one
  was actually made. Fixes #67853

* Mon Aug 5 2002 Philip Copeland <bryce@redhat.com> 4.2.2-5
- Shuffled the php/php-devel package file manifest
  with respect to PEAR (PHP Extension and Application
  Repository) #70673

* Fri Aug 2 2002 Philip Copeland <bryce@redhat.com> 4.2.2-4
- #67815, search path doesn't include the pear directory
- pear not being installed correctly. Added --with-pear=
  option.

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 4.2.2-2
- build using gcc-3.2-0.1

* Mon Jul 22 2002 Philip Copeland <bryce@redhat.com> 4.2.2-1
- Yippie 8/ another security vunerability (see
  http://www.php.net/release_4_2_2.php for details)

* Wed Jul 17 2002 Philip Copeland <bryce@redhat.com> 4.2.1-9
- Reminder to self that mm was pushed out because it's
  NOT thread safe.
- Updated the manuals (much to Bills horror)

* Tue Jul 16 2002 Philip Copeland <bryce@redhat.com> 4.2.1-8
- php.ini alteration to fit in with the install/uninstall
  of various php rpm based installable modules

* Mon Jul 15 2002 Philip Copeland <bryce@redhat.com> 4.2.1-8
- php -v showing signs of deep unhappiness with the world
  added  --enable-experimental-zts to configure to make it
  happy again (yes I know experimental sounds 'dangerous'
  it's just a name for an option we need)

* Fri Jul 12 2002 Philip Copeland <bryce@redhat.com> 4.2.1-7
- #68715, Wrong name for Mysql Module in php.ini. Fixed.

* Fri Jun 28 2002 Philip Copeland <bryce@redhat.com> 4.2.1-6
- SNMP fixup

* Thu Jun 27 2002 Philip Copeland <bryce@redhat.com> 4.2.1-5
- Ah,.. seems httpd2 has been renamed to just plain
  ol' httpd. Fixed spec file to suit.
- ucd-snmp changed to net-snmp overnight...
  temporarily disabled snmp while I work out the
  impact of this change and if it is safe

* Wed Jun 26 2002 Philip Copeland <bryce@redhat.com> 4.2.1-4
- openldap 2.1.x problem solved by Nalin. Sure the ldap
  API didn't change,... <mutter>. Added TSRMLS_FETCH()
  to ldap_rebind_proc().
- Removed the php-dbg package as thats going to be provided
  elsewhere

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 4.2.1-3
- automated rebuild

* Mon Jun 10 2002 Philip Copeland <bryce@redhat.com> 4.2.1-2
- Actually mm is now a dead project. Removed permently.

* Tue May 28 2002 Gary Benson <gbenson@redhat.com> 4.2.1-2
- change paths for httpd-2.0
- add the config file
- disable mm temporarily

* Sun May 26 2002 Tim Powers <timp@redhat.com> 4.2.1-1
- automated rebuild

* Wed May 22 2002 Philip Copeland <bryce@redhat.com> 4.2.1-0
- Initial pristine build of php-4.2.1
- Minor patch to get around a 64 bitism
- Added in the dgb debugging hooks

